package magic

import "net/http"

type State[T any] struct {
	Data T
}

func RegisterState[T any](data T) {
	RegisterExtractor(State[T]{}, func(r *http.Request) (any, error) {
		return State[T]{Data: data}, nil
	})
}
